---
source_url: https://www.pubnub.com/docs/sdks/rest-api/get-all-channel-groups
title: Get all channel groups
---

# Get all channel groups

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Get all channel groups for a given subscribe key.

This endpoint is disabled on most subscribe keys, please contact [support](https://www.pubnub.com/support) to confirm endpoint usability.

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal.Example: sub-c-50264475-1902-558x-d213-7p19052012n2 |

| Query Parameters |
| --- |
| `uuid`string—**REQUIRED**A UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscriber key.If Access Manager is enabled, either a valid authorization token or a signature are required.See Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 second offset from NTP.Required if signature parameter is supplied. |

| Responses |
| --- |
| `200`OKSchema — OPTIONALmessage string — OPTIONALservice string — OPTIONALstatus integer — OPTIONALerror boolean — OPTIONALpayload object — OPTIONALsub_key string — OPTIONALgroups string[] — OPTIONAL | Schema—**OPTIONAL** | `message`string—**OPTIONAL** | `service`string—**OPTIONAL** | `status`integer—**OPTIONAL** | `error`boolean—**OPTIONAL** | `payload`object—**OPTIONAL**sub_key string — OPTIONALgroups string[] — OPTIONAL | `sub_key`string—**OPTIONAL** | `groups`string[]—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `error`boolean—**OPTIONAL** |
| `payload`object—**OPTIONAL**sub_key string — OPTIONALgroups string[] — OPTIONAL | `sub_key`string—**OPTIONAL** | `groups`string[]—**OPTIONAL** |
| `sub_key`string—**OPTIONAL** |
| `groups`string[]—**OPTIONAL** |
| `403`Channel Groups Multiplexing Flag Disabled ErrorSchema — OPTIONALmessage string — OPTIONALerror boolean — OPTIONALservice string — OPTIONALstatus integer — OPTIONAL | Schema—**OPTIONAL** | `message`string—**OPTIONAL** | `error`boolean—**OPTIONAL** | `service`string—**OPTIONAL** | `status`integer—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `error`boolean—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `500`Channel Groups Storage ErrorSchema — OPTIONALmessage string — OPTIONALerror boolean — OPTIONALservice string — OPTIONALstatus integer — OPTIONAL | Schema—**OPTIONAL** | `message`string—**OPTIONAL** | `error`boolean—**OPTIONAL** | `service`string—**OPTIONAL** | `status`integer—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `error`boolean—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `503`Channel Groups Account Configuration ErrorSchema — OPTIONALmessage string — OPTIONALerror boolean — OPTIONALservice string — OPTIONALstatus integer — OPTIONAL | Schema—**OPTIONAL** | `message`string—**OPTIONAL** | `error`boolean—**OPTIONAL** | `service`string—**OPTIONAL** | `status`integer—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `error`boolean—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `status`integer—**OPTIONAL** |

sub_key
*
Type:
string
Your app's subscribe key from
[Admin Portal](https://admin.pubnub.com)
.
uuid
*
Type:
string
A UTF-8 encoded string of up to 92 characters used to
[identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md)
.
signature
Type:
string
Signature used to verify that the request was signed with the secret key associated with the subscriber key.

If Access Manager is enabled, either a valid authorization token or a signature are required.

See
[Access Manager](https://www.pubnub.com/docs/sdks/rest-api/access-manager-introduction.md)
documentation for details on how to compute the signature.
timestamp
Type:
integer
Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 second offset from NTP.

Required if
signature
parameter is supplied.
message
Type:
string
Example:
"OK"
service
Type:
string
Example:
"channel-registry"
status
Type:
integer
Example:
200
error
Type:
boolean
Example:
false
payload
Type:
object
message
Type:
string
Example:
"Use of the channel groups API requires the Stream Controller which is not enabled for this subscribe key. Login to your PubNub Dashboard Account and enable Stream Controller. Contact support@pubnub.com if you require further assistance."
error
Type:
boolean
Example:
true
service
Type:
string
Example:
"channel-registry"
status
Type:
integer
Example:
403
message
Type:
string
Example:
"Channel Group: Storage Error"
error
Type:
boolean
Example:
true
service
Type:
string
Example:
"channel-registry"
status
Type:
integer
Example:
500
message
Type:
string
Example:
"Failed to retrieve account configuration"
error
Type:
boolean
Example:
true
service
Type:
string
Example:
"channel-registry"
status
Type:
integer
Example:
503
